aboutsummaryrefslogtreecommitdiff
path: root/configs
diff options
context:
space:
mode:
authortoni <matzeton@googlemail.com>2014-10-14 22:20:45 +0200
committertoni <matzeton@googlemail.com>2014-10-14 22:20:45 +0200
commitedc12f4b1ff9df92c6adbd912995d19fe9821792 (patch)
tree0c6894d5349f015709f4d4d99ec3aab104f2e8ae /configs
parent725c71037ba88bc785ae7b7538a61728efcd1f38 (diff)
improved xmobarrc+scripts
Diffstat (limited to 'configs')
-rwxr-xr-xconfigs/xmobar_cputemp.sh17
-rwxr-xr-xconfigs/xmobar_gputemp.sh17
-rwxr-xr-xconfigs/xmobar_hddusage.sh21
-rw-r--r--configs/xmobarrc17
4 files changed, 53 insertions, 19 deletions
diff --git a/configs/xmobar_cputemp.sh b/configs/xmobar_cputemp.sh
index 15a2bf9..8af1b47 100755
--- a/configs/xmobar_cputemp.sh
+++ b/configs/xmobar_cputemp.sh
@@ -1,8 +1,19 @@
#!/bin/sh
if [ "x$1" = "xCPU" ]; then
- sensors | sed -n 's/^CPU Temperature:\s*+\(.*\)°C\s*(\(.*\)/CPU TEMP: \1°C/p'
+ OUT=$(sensors | sed -n 's/^CPU Temperature:\s*+\(.*\)°C\s*(\(.*\)/\1/p')
elif [ "x$1" = "xMB" ]; then
- sensors | sed -n 's/^MB Temperature:\s*+\(.*\)°C\s*(\(.*\)/MB TEMP: \1°C/p'
+ OUT=$(sensors | sed -n 's/^MB Temperature:\s*+\(.*\)°C\s*(\(.*\)/\1/p')
+else
+ exit 1
+fi
+
+if [ $OUT -ge 60 ]; then
+ echo "<fc=#00FF00>$OUT</fc>°C"
+elif [ $OUT -ge 67 ]; then
+ echo "<fc=#FFFF00>$OUT</fc>°C"
+elif [ $OUT -ge 75 ]; then
+ echo "<fc=#FF0000>$OUT</fc>°C"
+else
+ echo "$OUT°C"
fi
-exit $?
diff --git a/configs/xmobar_gputemp.sh b/configs/xmobar_gputemp.sh
index c4dffe3..eb5bf64 100755
--- a/configs/xmobar_gputemp.sh
+++ b/configs/xmobar_gputemp.sh
@@ -1,3 +1,18 @@
#!/bin/bash
-nvidia-smi | grep -oE '[0-9]{2,3}C'
+if [ "x$1" = "xmem" ]; then
+ nvidia-smi | grep -oE '[0-9]{1,3}%\s*[0-9]{1,4}MB\s*/\s*[0-9]{1,4}MB'
+else
+ OUT=$(nvidia-smi | sed -n 's/\(.*\)\([0-9]\{2,3\}\)C\(.*\)/\2/p')
+ if [ "x$OUT" = "x" ]; then
+ echo "<fc=#FF0000>ERR</fc>"
+ elif [ $OUT -gt 75 ]; then
+ echo "<fc=#FF0000>$OUT</fc>°C"
+ elif [ $OUT -ge 65 ]; then
+ echo "<fc=#FFFF00>$OUT</fc>°C"
+ elif [ $OUT -ge 50 ]; then
+ echo "<fc=#00FF00>$OUT</fc>°C"
+ else
+ echo "$OUT°C"
+ fi
+fi
diff --git a/configs/xmobar_hddusage.sh b/configs/xmobar_hddusage.sh
index 9185f9f..e8285e4 100755
--- a/configs/xmobar_hddusage.sh
+++ b/configs/xmobar_hddusage.sh
@@ -1,12 +1,19 @@
#!/bin/bash
-HDD="sda"
-
-NOUT=$(iostat | tr -s ' ' | grep -E '^(sd|hd)')
if [ "x$1" = "xread" ]; then
- OUT=$(echo "$NOUT" | grep $HDD | cut -d ' ' -f 3)
+ OUT=$(iostat | sed -n 's/sda\s*[0-9,]*\s*\([0-9]*\).*$/\1/p')
elif [ "x$1" = "xwrite" ]; then
- OUT=$(echo "$NOUT" | grep $HDD | cut -d ' ' -f 4)
+ OUT=$(iostat | sed -n 's/sda\s*[0-9,]*\s*[0-9,]*\s*\([0-9]*\).*$/\1/p')
+else
+ exit 1
+fi
+
+if [ "$OUT" -gt 5000 ]; then
+ echo "<fc=#FF0000>${OUT}</fc>Kbs"
+elif [ "$OUT" -gt 2000 ]; then
+ echo "<fc=#FFFF00>${OUT}</fc>Kbs"
+elif [ "$OUT" -gt 100 ]; then
+ echo "<fc=#00FF00>${OUT}</fc>Kbs"
+else
+ echo "${OUT}Kbs"
fi
-echo "${OUT}"
-exit 0
diff --git a/configs/xmobarrc b/configs/xmobarrc
index 36c2f31..78d4a42 100644
--- a/configs/xmobarrc
+++ b/configs/xmobarrc
@@ -4,20 +4,21 @@ Config { font = "-misc-fixed-*-*-*-*-18-*-*-*-*-*-*-*"
, borderColor = "black"
, fgColor = "grey"
, position = TopW L 100
- , commands = [ Run Com "~/.xmobar_hddusage.sh" ["IO_R"] "read" 10
- , Run Com "~/.xmobar_hddusage.sh" ["IO_W"] "write" 10
- , Run Com "~/.xmobar_gputemp.sh" ["GPU"] "gtmp" 10
- , Run Com "~/.xmobar_cputemp.sh" ["CPU"] "ctmp" 10
- , Run Com "~/.xmobar_cputemp.sh" ["MB"] "mtmp" 10
+ , commands = [ Run Com "~/.xmobar_hddusage.sh read" ["IO_R"] "ior" 10
+ , Run Com "~/.xmobar_hddusage.sh write" ["IO_W"] "iow" 10
+ , Run Com "~/.xmobar_gputemp.sh" ["GPU"] "gtmp" 100
+ , Run Com "~/.xmobar_gputemp.sh mem" ["GPU"] "gmem" 100
+ , Run Com "~/.xmobar_cputemp.sh" ["CPU"] "ctmp" 100
+ , Run Com "~/.xmobar_cputemp.sh" ["MB"] "mtmp" 100
, Run Network "eth0" ["-L","0","-H","32","--normal","green","--high","red"] 10
, Run Network "eth1" ["-L","0","-H","32","--normal","green","--high","red"] 10
, Run Cpu ["-L","15","-H","50","--normal","green","--high","red"] 10
- , Run Memory ["Mem: %"] 10
- , Run Swap [] 10
+ , Run Memory ["Mem: %"] 200
+ , Run Swap [] 200
, Run Date "%a %b (%V) %_d %Y %H:%M:%S" "date" 10
, Run StdinReader
]
, sepChar = "%"
, alignSep = "}{"
- , template = "%StdinReader% }{ %ctmp% | %mtmp% | %cpu% | %memory% * %swap% | %eth0% | %eth1% | %date%"
+ , template = "%StdinReader% }{ ioR: %ior% | ioW: %iow% | GPU: %gtmp% %gmem% | CPU: %ctmp% | MB: %mtmp% | %cpu% | %memory% | %eth0% | %eth1% | %date%"
}